Get contact details for a domain

Retrieve the contact information associated with a specific domain, including registrant details. Returns an ID that may be needed for follow-up calls to edit contact information.

Domain Services Domains

Context

Used in the dashboard

/domains/[id]

Workflow links

Produces

Path Parameters

id integer · min: 1 required Example: 20985

Unique id identifier

Headers

Accept Example
Content-Type Example

Responses

200
data object required
data.contacts object required
data.contacts.admin object
data.contacts.admin.address1 string required · Example: Examplegatan 1
data.contacts.admin.address2 string required · Example: Lägenhet 1
data.contacts.admin.city string required · Example: Stockholm
data.contacts.admin.companyname string required · Example: Example AB
data.contacts.admin.country string required · Example: SE
data.contacts.admin.email string required · Example: [email protected]
data.contacts.admin.firstname string required · Example: Anna
data.contacts.admin.handle string required · Example: AK965321-SE
data.contacts.admin.lastname string required · Example: Svensson
data.contacts.admin.phonenumber string required · Example: +46700000000
data.contacts.admin.postcode string required · Example: 123 45
data.contacts.admin.state string required · Example: Stockholm
data.contacts.registrant object required
data.contacts.registrant.address1 string · enum required · Example: Examplegatan 1
Examplegatan 1
Examplegatan 1
Examplegatan 1
data.contacts.registrant.address2 string required · Example:
data.contacts.registrant.city string · enum required · Example: Stockholm
Stockholm
Stockholm
Stockholm
data.contacts.registrant.companyname string required · Example:
data.contacts.registrant.country string required · Example: SE
data.contacts.registrant.email string required · Example: [email protected]
data.contacts.registrant.firstname string required · Example: Anna
data.contacts.registrant.handle string · Example: AK965324-SE
data.contacts.registrant.lastname string required · Example: Svensson
data.contacts.registrant.orgno string · enum · Example: [SE]555555-0000
[SE]555555-0000
[SE]555555-0000
data.contacts.registrant.phonenumber string required · Example: +46700000000
data.contacts.registrant.postcode string required · Example: 123 45
data.contacts.registrant.state string · enum required · Example: Stockholm
Stockholm
Stockholm
Stockholm
data.contacts.tech object
data.contacts.tech.address1 string required · Example: Examplegatan 1
data.contacts.tech.address2 string required · Example: Lägenhet 1
data.contacts.tech.city string required · Example: Stockholm
data.contacts.tech.companyname string required · Example: Example AB
data.contacts.tech.country string required · Example: SE
data.contacts.tech.email string required · Example: [email protected]
data.contacts.tech.firstname string required · Example: Anna
data.contacts.tech.handle string required · Example: AK965322-SE
data.contacts.tech.lastname string required · Example: Svensson
data.contacts.tech.phonenumber string required · Example: +46700000000
data.contacts.tech.postcode string required · Example: 123 45
data.contacts.tech.state string required · Example: Stockholm
data.success boolean required · Example: true

True for successful responses.

requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

success boolean required · Example: true

True for successful responses.

timestamp string required · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

GET https://cloud.hostup.se/api/domain-contacts/{id}
For AI assistants
cURL
curl -X GET "https://cloud.hostup.se/api/domain-contacts/20985" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json"
Response
{
  "success": true,
  "timestamp": "2026-02-10T00:00:00.000Z",
  "requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
  "data": {
    "contacts": {
      "registrant": {
        "firstname": "Anna",
        "lastname": "Svensson",
        "companyname": "",
        "address1": "Examplegatan 1",
        "address2": "",
        "city": "Stockholm",
        "state": "Stockholm",
        "country": "SE",
        "postcode": "123 45",
        "email": "[email protected]",
        "phonenumber": "+46700000000",
        "orgno": "[SE]555555-0000"
      }
    },
    "success": true
  }
}